Bug 480589 - Review Request: ctan-cm-lgc-fonts - CM-LGC Type1 fonts
Review Request: ctan-cm-lgc-fonts - CM-LGC Type1 fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sarantis Paskalis
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477461
  Show dependency treegraph
 
Reported: 2009-01-19 06:07 EST by Sarantis Paskalis
Modified: 2012-09-18 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 09:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sarantis Paskalis 2009-01-19 06:07:06 EST
Spec URL: http://gallagher.di.uoa.gr/any/rpms/ctan-cm-lgc-fonts/ctan-cm-lgc-fonts.spec
SRPM URL: http://gallagher.di.uoa.gr/any/rpms/ctan-cm-lgc-fonts/ctan-cm-lgc-fonts-0.5-14.fc11.src.rpm

Description: 
The CM-LGC PostScript Type 1 fonts are converted from the METAFONT
sources of the Computer Modern font families. CM-LGC supports the T1, T2A,
LGR, and TS1 encodings, i.e. Latin, Cyrillic, and Greek.

This is a request for review for renaming the existing tetex-font-cm-lgc package according to the new font naming guidelines 
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)

Although no official documentation for renaming exists, some mail exchanges indicate that a full review should take place for the renaming of the package
Comment 1 Nicolas Mailhot 2009-01-19 06:38:01 EST
Will look at it this evening
Comment 2 Nicolas Mailhot 2009-01-19 17:32:04 EST
1. you need a 
%define _texmf_main   %{_datadir}/texmf
or import it from something you buildrequires (I assume the _ means you intend to import it from some central package)

2. the main package does not need to
Requires:       fontpackages-filesystem

3. didn't check if all the font names were accounted for in the fontconfig rules
You should probably test if the recipe Behdad suggested in
https://bugs.freedesktop.org/show_bug.cgi?id=18724

works for you and manages to create a single unicode font from all the local type one variants of each font family

That being said the obsoletes work and that's all I'm supposed to check in a rename review, so

❱❱❱ APPROVED ❰❰❰

Please don't forget to add your fonts subpackages to comps

http://fedoraproject.org/wiki/Comps_fonts_rules
Comment 3 Sarantis Paskalis 2009-01-20 06:40:41 EST
(In reply to comment #2)
> 1. you need a 
> %define _texmf_main   %{_datadir}/texmf
> or import it from something you buildrequires (I assume the _ means you intend
> to import it from some central package)

Correct.  I added a BuildRequires: texlive-texmf (which contains the macro definition)

> 2. the main package does not need to
> Requires:       fontpackages-filesystem

Fixed.

> 3. didn't check if all the font names were accounted for in the fontconfig
> rules
> You should probably test if the recipe Behdad suggested in
> https://bugs.freedesktop.org/show_bug.cgi?id=18724
> works for you and manages to create a single unicode font from all the local
> type one variants of each font family

I will try, but probably in a few days time.  

> That being said the obsoletes work and that's all I'm supposed to check in a
> rename review, so
> 
> ❱❱❱ APPROVED ❰❰❰
> 
> Please don't forget to add your fonts subpackages to comps
> 
> http://fedoraproject.org/wiki/Comps_fonts_rules

Will do as soon as a rawhide build is available.  Thanks.
New versions of spec and srpm in the same location
http://gallagher.di.uoa.gr/any/rpms/ctan-cm-lgc-fonts/
Comment 4 Sarantis Paskalis 2009-01-20 06:48:09 EST
Package Change Request
======================
Package Name: ctan-cm-lgc-fonts
New Branches: devel
Owners: sarantis

This is a rename request of tetex-font-cm-lgc for the devel branch only.
Comment 5 Kevin Fenzi 2009-01-20 15:59:59 EST
cvs done.

The new package is created, please follow the eol procedure for the old one. 
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
Comment 6 Sarantis Paskalis 2009-01-21 09:15:26 EST
Built in rawhide.  Edited comps. tetex-font-cm-lgc EOLed.

Note You need to log in before you can comment on or make changes to this bug.